main.cpp File Reference
`#include "stdinc.h"`
`#include "main.h"`
`#include "Action.h"`
`#include "DebugAllocator.h"`
`#include "error.h"`
`#include "display.h"`
`#include <ctime>`
`#include <cstdlib>`
`#include <exception>`
`#include <sys/types.h>`
`#include <unistd.h>`

Go to the source code of this file.

## Functions

int | frobbyMain (int argc, const char **argv)
| This function runs the Frobby console interface.
void | frobbyTerminate ()
| A replacement for the default C++ built-in terminate() function.
int | main (int argc, const char **argv)
| This function is the entry point for Frobby as a console program.

## Function Documentation

## frobbyMain()

int frobbyMain | ( | int | argc,
|  | const char ** | argv )

This function runs the Frobby console interface.

the main function calls this function after having set up DEBUG-specific things, catching exceptions, setting the random seed and so on.

Definition at line 35 of file main.cpp.

## frobbyTerminate()

void frobbyTerminate | ( |  | ) |

A replacement for the default C++ built-in terminate() function.

Do not call this method or cause it to be called.

Definition at line 54 of file main.cpp.

## main()

int main | ( | int | argc,
|  | const char ** | argv )

This function is the entry point for Frobby as a console program.

It does some DEBUG-specific things, sets the random seed and so on before calling frobbyMain.

Definition at line 67 of file main.cpp.